Bug 168694 - inner class members should be qualified
Summary: inner class members should be qualified
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-changelog   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kyu Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-19 16:27 UTC by Tom Tromey
Modified: 2014-08-11 05:46 UTC (History)
1 user (show)

Fixed In Version: 2.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 15:14:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug fix (6.53 KB, patch)
2006-06-08 16:43 UTC, Kyu Lee
no flags Details | Diff

Description Tom Tromey 2005-09-19 16:27:30 UTC
In a ChangeLog entry it is nice if an inner class entry
is qualified by its declaring class.  For instance given this code:

class Outer {
  class Inner {
    public void m() { ... }
  }
}

if the cursor is in the body of m(), the resulting ChangeLog entry should
look like this:

    * filename.java (Inner.m):

Currently only the member name is inserted.

Comment 1 Kyu Lee 2006-06-06 14:09:55 UTC
Should it ignore the upper most class name?

From your example,


    * filename.java (Inner.m):

 vs.

    * filename.java (Outer.Inner.m):



Comment 2 Tom Tromey 2006-06-06 15:08:14 UTC
Yes, it should ignore the outermost class name.
The GNU standards don't discuss this but common practice
is to avoid it, I suppose on the theory that most files
contain a single top-level class.

One other tweak is to use <clinit> when a change takes place in a
static initializer block.




Comment 3 Kyu Lee 2006-06-08 16:43:08 UTC
Created attachment 130764 [details]
Bug fix

This patch appends inner class names to methods/fields that are inside inner
classes(works recursively).

Comment 4 Andrew Overholt 2006-06-08 18:51:33 UTC
This patch looks good but the formatting seems a bit odd.  I assume Phil has
just been using the default JDT formatting rules so if you do an Esc Ctrl-F
and/or Ctrl-I, it should be fine.  I believe you have commit, so if the
formatting is what it should be (the patch may just look odd in firefox) and
you've written a ChangeLog entry, go ahead and commit :)

Thanks.

Comment 5 Kyu Lee 2006-06-08 20:18:41 UTC
I've fixed the format and now it's in CVS. :)

Comment 6 Ben Konrath 2006-10-04 20:09:28 UTC
Kyu, if this has been released, please close. Thanks.


Note You need to log in before you can comment on or make changes to this bug.